<?php 
	require "guiFunctions.php";
	require "database.php";
	require "statsFunctions.php";
	
	start_page("Player Statistics");

	$page = $HTTP_POST_VARS["page"];
	
	if ( $page == 'stats' )  // popup from stats page
	{
		$pid = $HTTP_POST_VARS['pid'];
	}
	else // direct link, get pid from url
	{
		$pid = $_GET['pid'];
	}
	
	$player = new Player($pid);
	$leagues = array();
	$partners = array();
	
	getPlayerData($pid, $player, $leagues, $partners);
	
?>

<p><h2><?php print $player->firstName." ".$player->lastName; ?></h2></p>

<table width="480" border="1">
  
<link href="mainstyle.css" rel="stylesheet" type="text/css">
<tr>
    <td class="title3"><strong>Leagues</strong></td>
    <td class="even">
	<?php 
		if (sizeof($leagues) == 0)
		{
			print "<em>None</em>";
		}
		$comma = false;
		foreach ($leagues as $league)
		{	
			if ($comma)
			{
				print ", ";
			}
			else 
			{
				$comma = true;
			}		
			print $league;
		}
	?>
	</td>
  </tr>
</table>

<p>Analysis</p>
<table width="480" border="1">
  <tr> 
    <td width="30%" class="title3"><strong>Favourite Position</strong></td>
    <td width="70%" class="even"><?php print getFavouritePosition($player); ?></td>
  </tr>
  <tr> 
    <td class="title2"><strong>Strongest Position</strong></td>
   	<td class="odd"><?php print getStrongestPosition($player); ?></td>
  </tr>
  <tr> 
    <td class="title3"><strong>Favourite<br>Partner(s)</strong></td>
    <td class="even">
	<?php 
		$ppids = array();
		$numpartners = getFavouritePartners( $player, $partners, $ppids );
		if ($numpartners == 0)
		{
			print "<em>None</em>";
		}
		for ($i = 0; $i < $numpartners; $i++)
		{
			if ($partners[$ppids[$i]]->frontPlayer == $pid)
			{
				print $partners[$ppids[$i]]->backPlayer . " (b)";
			}
			else
			{
				print $partners[$ppids[$i]]->frontPlayer . " (f)";
			}
			if ( ($i+1) < $numpartners )
			{
				print ", ";
			}
		}
	?>
	</td>
  </tr>
  <tr> 
    <td class="title2"><strong>Strongest<Br>Partner(s)</strong></td>
    <td class="odd">
	<?php 
		$ppids = array();
		$numpartners = getStrongestPartners( $player, $partners, $ppids );
		if ($numpartners == 0)
		{
			print "<em>None</em>";
		}
		for ($i = 0; $i < $numpartners; $i++)
		{
			if ($partners[$ppids[$i]]->frontPlayer == $pid)
			{
				print $partners[$ppids[$i]]->backPlayer . " (b)";
			}
			else
			{
				print $partners[$ppids[$i]]->frontPlayer . " (f)";
			}
			if ( ($i+1) < $numpartners )
			{
				print ", ";
			}
		}
	?>
	</td>
  </tr>
</table>

<p>Overview</p>
<table width="480" border="1">
  <tr> 
    <td width="20%" class="even">&nbsp;</td>
    <td width="20%" class="title2"><strong>Total</strong></td>
	<td width="20%" class="title2"><strong>Front</strong></td>
	<td width="20%" class="title2"><strong>Back</strong></td>
	<td width="20%" class="title2"><strong>1-on-1</strong></td>
  </tr>
  <tr> 
    <td class="title2"><strong>Games</strong></td>
    <td class="odd"> <div align="center"><?php print $player->getTotalGames(); ?></div></td>
	<td class="odd"> <div align="center"><?php print $player->getFrontGames()." (".getPercent($player->getFrontGames(), $player->getTotalGames())."%)"; ?></div></td>
	<td class="odd"> <div align="center"><?php print $player->getBackGames()." (".getPercent($player->getBackGames(), $player->getTotalGames())."%)"; ?></div></td>
	<td class="odd"> <div align="center"><?php print $player->getSingleGames()." (".getPercent($player->getSingleGames(), $player->getTotalGames())."%)"; ?></div></td>												 												 
  </tr>
  <tr> 
    <td class="title3"><strong>Wins / Shutouts</strong></td>
    <td class="even"> <div align="center"><?php print $player->getTotalWins()." (".$player->getTotalWinsPercent()."%) /<br>".
													 $player->getShutouts()." (".$player->getShutoutPercent()."%)"; ?></div></td>
	<td class="even"> <div align="center"><?php print $player->getFrontWins()." (".getPercent($player->getFrontWins(), $player->getTotalWins())."%) /<br>".
													 $player->getFrontShutouts()." (".getPercent($player->getFrontShutouts(), $player->getShutouts())."%)"; ?></div></td>
	<td class="even"> <div align="center"><?php print $player->getBackWins()." (".getPercent($player->getBackWins(), $player->getTotalWins())."%) /<br>".
													 $player->getBackShutouts()." (".getPercent($player->getBackShutouts(), $player->getShutouts())."%)"; ?></div></td>
	<td class="even"> <div align="center"><?php print $player->getSingleWins()." (".getPercent($player->getSingleWins(), $player->getTotalWins())."%) /<br>".
													 $player->getSingleShutouts()." (".getPercent($player->getSingleShutouts(), $player->getShutouts())."%)"; ?></div></td>												 												 
  </tr>
  <tr> 
    <td class="title2"><strong>Losses / Shutouts</strong></td>
    <td class="odd"> <div align="center"><?php print $player->getTotalLosses()." (".$player->getTotalLossesPercent()."%) /<br>".
													 $player->getShutoutLosses()." (".$player->getShutoutLossesPercent()."%)"; ?></div></td>
	<td class="odd"> <div align="center"><?php print $player->getFrontLosses()." (".getPercent($player->getFrontLosses(), $player->getTotalLosses())."%) /<br>".
													 $player->getFrontShutoutLosses()." (".getPercent($player->getFrontShutoutLosses(), $player->getShutoutLosses())."%)"; ?></div></td>
	<td class="odd"> <div align="center"><?php print $player->getBackLosses()." (".getPercent($player->getBackLosses(), $player->getTotalLosses())."%) /<br>".
													 $player->getBackShutoutLosses()." (".getPercent($player->getBackShutoutLosses(), $player->getShutoutLosses())."%)"; ?></div></td>
	<td class="odd"> <div align="center"><?php print $player->getSingleLosses()." (".getPercent($player->getSingleLosses(), $player->getTotalLosses())."%) /<br>".
													 $player->getSingleShutoutLosses()." (".getPercent($player->getSingleShutoutLosses(), $player->getShutoutLosses())."%)"; ?></div></td>												 												 
  </tr>
  <tr> 
    <td class="title3"><strong>Total Goals</strong></td>
    <td class="even"> <div align="center"><?php print $player->getTotalGoals(); ?></div></td>
	<td class="even"> <div align="center"><?php print $player->getFrontGoals()." (".getPercent($player->getFrontGoals(), $player->getTotalGoals())."%)"; ?></div></td>
	<td class="even"> <div align="center"><?php print $player->getBackGoals()." (".getPercent($player->getBackGoals(), $player->getTotalGoals())."%)"; ?></div></td>
	<td class="even"><div align="center"><em>-</em></div></td>												 												 
  </tr>
  <tr> 
    <td class="title2"><strong>Avg Goals</strong></td>
    <td class="odd"> <div align="center"><?php print $player->getAvgGoals(); ?></div></td>
	<td class="odd"> <div align="center"><?php print $player->getAvgFrontGoals(); ?></div></td>
	<td class="odd"> <div align="center"><?php print $player->getAvgBackGoals(); ?></div></td>
	<td class="odd"><div align="center"><em>-</em></div></td>												 												 
  </tr>
</table>

<p>Teammates</p>
<table width="600" border="1">
  <tr> 
    <td width="25%" class="title2"><strong>Partner</strong></td>
    <td class="title2"> <div align="center"><strong>Games Played</strong></div></td>
	<td class="title2"> <div align="center"><strong>Wins / Shutouts</strong></div></td>
    <td class="title2"> <div align="center"><strong>Losses / Shutouts</strong></div></td>
    <td class="title2"> <div align="center"><strong>Odds</strong></div></td>
  </tr>

  <?php 
	$rowclass = "even";

	foreach (array_keys($partners) as $ppid)
	{
		// print the row
		if ($rowclass == "odd")
		{
			$rowclass = "even";
		}
		else
		{
			$rowclass = "odd";
		}
		
		print "<tr>";
		if ($partners[$ppid]->frontPlayer == $pid) // back partners
		{
			print "<td class=\"$rowclass\">".$partners[$ppid]->backPlayer." (back)";
//			print "<td class=\"$rowclass\"> <div align=\"center\">".$partners[$ppid]->getFrontGoals()." (".getPercent($partners[$ppid]->getFrontGoals(), $player->getFrontGoals())."%) /<br>".$partners[$ppid]->getAvgFrontGoals()."</div></td>";
		}
		else // front partners
		{
			print "<td class=\"$rowclass\">".$partners[$ppid]->frontPlayer." (front)";
//			print "<td class=\"$rowclass\"> <div align=\"center\">".$partners[$ppid]->getBackGoals()." (".getPercent($partners[$ppid]->getBackGoals(), $player->getBackGoals())."%) /<br>".$partners[$ppid]->getAvgBackGoals()."</div></td>";
		}
		print "<td class=\"$rowclass\"> <div align=\"center\">".$partners[$ppid]->getTotalGames()." (".getPercent($partners[$ppid]->getTotalGames(), $player->getTotalGames())."%)</div></td>";
		print "<td class=\"$rowclass\"> <div align=\"center\">".$partners[$ppid]->getTotalWins()." (".$partners[$ppid]->getTotalWinsPercent()."%) / ".$partners[$ppid]->getShutouts()." (".getPercent($partners[$ppid]->getShutouts(), $partners[$ppid]->getTotalWins())."%)</div></td>";
		print "<td class=\"$rowclass\"> <div align=\"center\">".$partners[$ppid]->getTotalLosses()." (".$partners[$ppid]->getTotalLossesPercent()."%) / ".$partners[$ppid]->getShutoutLosses()." (".getPercent($partners[$ppid]->getShutoutLosses(), $partners[$ppid]->getTotalLosses())."%)</div></td>";
		print "<td class=\"$rowclass\"> <div align=\"center\">".$partners[$ppid]->getWinningOdds()."</div></td>";
		print "</tr>";

	} // foreach	
  ?>
</table>

</body>
</html>
